Skip to main content
POST
/
templates
/
credentials
Create a new credential template. Can be created from scratch or from a preset.
curl --request POST \
  --url https://test.didxtech.com/me-creds/api/templates/credentials \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "credentialFormat": "preset",
  "presetId": "didx:basic-identity"
}
'
{
  "data": {
    "name": "My SD-JWT VC template",
    "description": "This is a description",
    "attributes": {
      "myAttribute": {
        "type": "string",
        "name": "My attribute",
        "description": "This is a attribute",
        "required": true,
        "alwaysDisclosed": false
      }
    },
    "createdAt": "2025-02-20T11:27:37.051Z",
    "updatedAt": "2025-02-20T11:27:37.051Z",
    "archivedAt": null,
    "format": "sd-jwt-vc",
    "id": "6421a8905c17830c188e2e2f",
    "type": "https://metadata.paradym.id/types/asdf93-UniversityCard"
  },
  "links": {
    "self": "<string>",
    "first": "<string>",
    "last": "<string>",
    "prev": "<string>",
    "next": "<string>",
    "related": "<string>"
  },
  "meta": {},
  "errors": [
    {
      "detail": "<string>",
      "id": "<string>",
      "status": "<string>",
      "code": "<string>",
      "title": "<string>",
      "source": {
        "pointer": "<string>",
        "parameter": "<string>"
      },
      "meta": {}
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
credentialFormat
enum<string>
required
Available options:
preset
presetId
string
required

Response

Created credential template.

data
object
required
Example:
{
"name": "My SD-JWT VC template",
"description": "This is a description",
"attributes": {
"myAttribute": {
"type": "string",
"name": "My attribute",
"description": "This is a attribute",
"required": true,
"alwaysDisclosed": false
}
},
"createdAt": "2025-02-20T11:27:37.051Z",
"updatedAt": "2025-02-20T11:27:37.051Z",
"archivedAt": null,
"format": "sd-jwt-vc",
"id": "6421a8905c17830c188e2e2f",
"type": "https://metadata.paradym.id/types/asdf93-UniversityCard"
}
meta
object
errors
object[]